### 5.1.77 leadexp

`Syntax:`
  `leadexp (` poly_expression `)`
  `leadexp (` vector_expression `)`
`Type:`
  intvec
`Purpose:`
  returns the exponent vector of the leading monomial of a polynomial or a vector. In the case of a vector the last component is the index in the vector. (The inverse to `monomial`.)
`Example:`

        ring r=32003,(x,y,z),(c,ds);
        poly f=x2+y+z3;
        vector v=[2*x^10,f];
        leadexp(f);
      ==> 0,1,0
        leadexp(v);
      ==> 10,0,0,1
        leadexp(0);
      ==> 0,0,0

See intvec; lead; leadcoef; leadmonom; monomial; poly; vector.

User manual for Singular version 4.4.1, 2025, generated by texi2html.